#!/bin/sh

name="troll-ftpd"
title="troll-ftpd"
package="troll-ftpd"
version="1.27"
build="1"
noarch="n"
build_info="Standard build."

info="Small, fast and secure FTP server."
desc="troll-ftpd is a small, simple server for the old and hairy
File Transfer Protocol, designed to use less resources than
older servers, be smaller, and to never execute any external
program. It supports only the most-used features and commands
of FTP, and leaves out everything which is deprecated,
meaningless, or correlates with trouble."
category="net/server/ftp"
environment="daemon"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/$name-$version.tar.gz

apply_patch troll-ftpd-var_lib.pw.patch 1
apply_patch troll-ftpd-man.pw.patch 1

replace_regexp $src1/Makefile '^CFLAGS = .*' 'CFLAGS = -g -O2 -W -Wall $(AM_CFLAGS)'

parent_package="$package"
write_info main

cd $src1

do_make

copy ftpd $pkg_main/usr/sbin troll-ftpd
copy mkusers $pkg_main/usr/sbin
copy mrtginfo $pkg_main/usr/sbin troll-ftpd-mrtg
copy ftpd.8 $pkg_main/usr/man/man8 troll-ftpd.8
copy mkusers.8 $pkg_main/usr/man/man8
copy mrtginfo.8 $pkg_main/usr/man/man8 troll-ftpd-mrtg.8
copy $src_pkg/mkusers $pkg_main/etc/cron.daily
mkdir -p $pkg_main/var/lib/ftp
mkdir -p $pkg_main/home/ftp/{pub,upload}
touch $pkg_main/var/lib/ftp/{users,groups}

change_own main home/ftp/upload .ftp
change_mod main home/ftp/upload 700
change_mod main etc/cron.daily/mkusers 755

make_docs

make_package main

clean_up

# $Log: troll-ftpd.builder,v $
# Revision 1.2  2002/12/25 23:40:06  swiergot
# - Build 1.
#
# Revision 1.1  2002/12/25 23:26:18  swiergot
# - Initial release.
# - Version 1.27.
#
